package com.hzya.frame.mdm.mdmModule.dao;

import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;
import java.util.Map;

/**
 * 主数据模版(mdm_module: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-03 08:46:29
 */
public interface IMdmModuleDao extends IBaseDao<MdmModuleEntity, String> {

    List<MdmModuleEntity> queryMdm(MdmModuleEntity entity);

    MdmModuleEntity getByMdmCode(Long mdmCode);

    Integer checkTable(Map<String, String> maps);
    Integer createTable(Map<String, Object> maps);
    Integer alterTable(Map<String, Object> maps);
    Integer alterTableName(Map<String, String> maps);
}

