package com.hzya.frame.mdm.mdmModule.dao.impl;

import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.mdm.mdmModule.dao.IMdmModuleDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;
import java.util.Map;

/**
 * 主数据模版(MdmModule)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-03 08:46:29
 */
@Repository(value = "MdmModuleDaoImpl")
public class MdmModuleDaoImpl extends MybatisGenericDao<MdmModuleEntity, String> implements IMdmModuleDao{

    @Override
    public List<MdmModuleEntity> queryMdm(MdmModuleEntity entity) {
        List<MdmModuleEntity> o = (List<MdmModuleEntity>) super.selectList(getSqlIdPrifx() + "queryMdm", entity);
        return o;
    }

    @Override
    public MdmModuleEntity getByMdmCode(Long mdmCode) {
        MdmModuleEntity mdmModuleEntity = (MdmModuleEntity) super.query(getSqlIdPrifx() + "getByMdmCode",mdmCode);
        return mdmModuleEntity;
    }

    @Override
    public Integer checkTable(Map<String, String> maps) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "checkTable", maps);
        return o;

    }


    @Override
    public Integer createTable(Map<String, Object> maps) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "createTable", maps);
        return o;
    }
    @Override
    public Integer alterTable(Map<String, Object> maps) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "alterTable", maps);
        return o;
    }

    @Override
    public Integer alterTableName(Map<String, String> maps) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "alterTableName", maps);
        return o;

    }
}

